Skip to main content
GET
/
organizations
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/organizations/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "count": 123,
  "results": [
    {
      "name": "<string>",
      "slug": "<string>",
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "handle": "<string>",
      "logo": "<string>",
      "industry": "robotics",
      "visibility": "public",
      "plan": "basic",
      "is_verified": true,
      "is_active": true,
      "member_count": 123,
      "team_count": 123,
      "role": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "joined_at": "<string>"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Query Parameters

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

limit
integer

Number of results to return per page.

order
string

Sets the CursorPagination offset when cursor is also set. e.g. cursor=...&offset=1

reverse
integer

Sets the CursorPagination reverse when cursor is also set. e.g. cursor=...&reverse=1.

Response

200 - application/json
count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null